Groovy 1.7.0

## org.codehaus.groovy.runtime
Class CurriedClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.CurriedClosure

    class CurriedClosure
    extends Closure

Represents wrapper around a Closure to support currying

author:
  Jochen Theodorou

Field Summary

Fields inherited from class Closure
maximumNumberOfParameters, parameterTypes

Constructor Summary
`CurriedClosure(Closure uncurriedClosure, Object[] arguments)`
`CurriedClosure(Closure uncurriedClosure, int i)`

Method Summary
`Object` | `clone()`
`Object` | `getDelegate()`
`Class[]` | `getParameterTypes()`
`int` | `getResolveStrategy()`
`Object[]` | `getUncurriedArguments(Object[] arguments)`
`void` | `setDelegate(Object delegate)`
`void` | `setResolveStrategy(int resolveStrategy)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure, Object[] arguments)

### CurriedClosure

    public CurriedClosure(Closure uncurriedClosure, int i)

Method Detail

### clone

    public Object clone()

### getDelegate

    public Object getDelegate()

### getParameterTypes

    public Class[] getParameterTypes()

### getResolveStrategy

    public int getResolveStrategy()

### getUncurriedArguments

    public Object[] getUncurriedArguments(Object[] arguments)

### setDelegate

    public void setDelegate(Object delegate)

### setResolveStrategy

    public void setResolveStrategy(int resolveStrategy)

Copyright © 2003-2009 The Codehaus. All rights reserved.